OGRE: Ogre::WorkQueue::Request Class Reference - OGRE Documentation

Public Member Functions | Protected Attributes | Friends

# Ogre::WorkQueue::Request Class Reference

General purpose request structure. More...

`#include <OgreWorkQueue.h>`

Inheritance diagram for Ogre::WorkQueue::Request:
[legend]

List of all members.

## Public Member Functions
| Request (uint16 channel, uint16 rtype, const Any &rData, uint8 retry, RequestID rid)
| Constructor.
| ~Request ()
void | abortRequest () const
| Set the abort flag.
uint16 | getChannel () const
| Get the request channel (top level categorisation).
uint16 | getType () const
| Get the type of this request within the given channel.
const Any & | getData () const
| Get the user details of this request.
uint8 | getRetryCount () const
| Get the remaining retry count.
RequestID | getID () const
| Get the identifier of this request.
bool | getAborted () const
| Get the abort flag.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Attributes
uint16 | mChannel
| The request channel, as an integer.
uint16 | mType
| The request type, as an integer within the channel (user can define enumerations on this).
Any | mData
| The details of the request (user defined).
uint8 | mRetryCount
| Retry count - set this to non-zero to have the request try again on failure.
RequestID | mID
| Identifier (assigned by the system).
bool | mAborted
| Abort Flag.
## Friends
class | WorkQueue

## Detailed Description

General purpose request structure.

Definition at line 82 of file OgreWorkQueue.h.

## Constructor & Destructor Documentation

Ogre::WorkQueue::Request::Request | ( | uint16 | channel,
|  | uint16 | rtype,
|  | const Any & | rData,
|  | uint8 | retry,
|  | RequestID | rid |
| ) |  |  |

Constructor.

Ogre::WorkQueue::Request::~Request | ( |  | ) |

## Member Function Documentation

void Ogre::WorkQueue::Request::abortRequest | ( |  | ) | const

Set the abort flag.

Definition at line 104 of file OgreWorkQueue.h.

bool Ogre::WorkQueue::Request::getAborted | ( |  | ) | const

Get the abort flag.

Definition at line 116 of file OgreWorkQueue.h.

Referenced by Ogre::WorkQueue::RequestHandler::canHandleRequest(), and Ogre::WorkQueue::ResponseHandler::canHandleResponse().

uint16 Ogre::WorkQueue::Request::getChannel | ( |  | ) | const

Get the request channel (top level categorisation).

Definition at line 106 of file OgreWorkQueue.h.

const Any& Ogre::WorkQueue::Request::getData | ( |  | ) | const

Get the user details of this request.

Definition at line 110 of file OgreWorkQueue.h.

RequestID Ogre::WorkQueue::Request::getID | ( |  | ) | const

Get the identifier of this request.

Definition at line 114 of file OgreWorkQueue.h.

uint8 Ogre::WorkQueue::Request::getRetryCount | ( |  | ) | const

Get the remaining retry count.

Definition at line 112 of file OgreWorkQueue.h.

uint16 Ogre::WorkQueue::Request::getType | ( | void |  | ) | const

Get the type of this request within the given channel.

Definition at line 108 of file OgreWorkQueue.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

## Friends And Related Function Documentation

friend class WorkQueue`[friend]`

Definition at line 84 of file OgreWorkQueue.h.

## Member Data Documentation

bool Ogre::WorkQueue::Request::mAborted`[mutable, protected]`

Abort Flag.

Definition at line 97 of file OgreWorkQueue.h.

uint16 Ogre::WorkQueue::Request::mChannel`[protected]`

The request channel, as an integer.

Definition at line 87 of file OgreWorkQueue.h.

Any Ogre::WorkQueue::Request::mData`[protected]`

The details of the request (user defined).

Definition at line 91 of file OgreWorkQueue.h.

RequestID Ogre::WorkQueue::Request::mID`[protected]`

Identifier (assigned by the system).

Definition at line 95 of file OgreWorkQueue.h.

uint8 Ogre::WorkQueue::Request::mRetryCount`[protected]`

Retry count - set this to non-zero to have the request try again on failure.

Definition at line 93 of file OgreWorkQueue.h.

uint16 Ogre::WorkQueue::Request::mType`[protected]`

The request type, as an integer within the channel (user can define enumerations on this).

Definition at line 89 of file OgreWorkQueue.h.

The documentation for this class was generated from the following file:

- OgreWorkQueue.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:03